Subject: Re: [PATCH 2/2] usbnet: use MII hooks only if CONFIG_MII is enabled

From: David Brownell <[email-masked]>
Date: Sat, 28 Oct 2006 15:30:18 -0700

On Saturday 28 October 2006 2:13 pm, Christoph Hellwig wrote:
> 
> I still don't quite like the approach.  What about simply putting
> the mii using functions into usbnet-mii.c and let makefile doing
> all the work?  This would require a second set of ethtool ops,
> but I'd actually consider that a cleanup, as it makes clear which
> one we're using and allows to kill all the checks for non-mii
> hardware in the methods.

Feel free to do such a patch yourself, so long as the MII doesn't
go into a separate module.  You'll have to also modify the two
Ethernet adapters currently using that usbnet core code (and MII).

That'd still feel like needless complexity to me, though.  So
unless you're keen on doing that quickly, I'd say to just merge
the two existing patches and be done with it.

- Dave